%define upstream_name    XML-Feed
%define upstream_version 0.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      2

Summary:    Perl Module for Syndication feed parsing and auto-discovery 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Feed::Find)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Fetch)
BuildRequires: perl(XML::Atom) >= 0.380.0
BuildRequires: perl(XML::LibXML) >= 1.660.0
BuildRequires: perl(XML::RSS) >= 1.470.0
BuildArch:  noarch

# (misc) not found by find-provides, as it can be changed at runtime with a 
# variable $PREFERED_PARSER
Requires:   perl(XML::RSS)
%description
XML::Feed is a syndication feed parser for both RSS and Atom feeds. It also
implements feed auto-discovery for finding feeds, given a URI.

XML::Feed supports the following syndication feed formats:

* RSS 0.91
* RSS 1.0
* RSS 2.0
* Atom

The goal of XML::Feed is to provide a unified API for parsing and using the
various syndication formats.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2:0.500.0-2.mga3
+ Revision: 375019
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 2:0.500.0-1.mga3
+ Revision: 270332
- update to 0.50

* Tue Jun 05 2012 jquelin <jquelin> 2:0.490.0-1.mga3
+ Revision: 255605
- update to 0.49

* Mon Sep 26 2011 jquelin <jquelin> 2:0.460.0-1.mga2
+ Revision: 148253
- update to 0.46
- update to 0.45
- update to 0.44

* Mon Jan 24 2011 jquelin <jquelin> 2:0.430.0-1.mga1
+ Revision: 37731
- mageia rebuild
- imported package perl-XML-Feed

